SearchFinished signal for Places API

Bug #739311 reported by Mikkel Kamstrup Erlandsen on 2011-03-21
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Unity
Fix Released
Medium
Mikkel Kamstrup Erlandsen
Unity Foundations
Medium
Mikkel Kamstrup Erlandsen
libunity
Fix Released
Medium
Mikkel Kamstrup Erlandsen
unity-lens-applications
Medium
Mikkel Kamstrup Erlandsen
unity-lens-files
Medium
Mikkel Kamstrup Erlandsen
libunity (Ubuntu)
Undecided
Unassigned
unity (Ubuntu)
Undecided
Unassigned
unity-place-applications (Ubuntu)
Undecided
Unassigned
unity-place-files (Ubuntu)
Undecided
Unassigned

Bug Description

It will be mighty useful for the shell to have some kind of indication for when the a search has finished on the place daemons. Use cases include:

  - Spinning the spinner until search has completed
  - Showing "no results" in globla search once all the places have told me theres no results
  - Once search is completed, expanding groups to fill up the available space

I propose to add a new signal to the DBus API (https://wiki.ubuntu.com/Unity/Places):

  /* Optionally emitted by a place entry once it has completed all operations for
   * a SetSearch, SetGlobalSearch, or SetActiveSection request and fully updated
   * the result model(s) accordingly. Places are not required to emit this signal
   * and the Unity shell must assume that they do */
  signal com.canonical.Unity.PlaceEntry.SearchFinished (in u section, in s search, in a{ss} hints)

Then add some nice API for this in libunity and wire it up in the place daemons

Changed in unity:
assignee: nobody → Mikkel Kamstrup Erlandsen (kamstrup)
importance: Undecided → Medium
milestone: none → 3.6.8
status: New → Fix Committed
Changed in unity-foundations:
assignee: nobody → Mikkel Kamstrup Erlandsen (kamstrup)
importance: Undecided → Medium
milestone: none → unity-3.6.8
status: New → Fix Committed
Changed in unity-place-applications:
assignee: nobody → Mikkel Kamstrup Erlandsen (kamstrup)
importance: Undecided → Medium
milestone: none → 0.2.42
status: New → Fix Committed
Changed in unity-place-files:
assignee: nobody → Mikkel Kamstrup Erlandsen (kamstrup)
importance: Undecided → Medium
milestone: none → 0.5.46
status: New → Fix Committed
Changed in libunity:
assignee: nobody → Mikkel Kamstrup Erlandsen (kamstrup)
importance: Undecided → Medium
milestone: none → 3.6.8
status: New → Fix Committed
Didier Roche (didrocks) on 2011-03-21
Changed in unity-place-applications (Ubuntu):
status: New → Fix Committed
Changed in unity-place-files (Ubuntu):
status: New → Fix Committed
Didier Roche (didrocks) on 2011-03-21
Changed in libunity (Ubuntu):
status: New → Fix Committed
Changed in unity-foundations:
status: Fix Committed → Fix Released
Changed in libunity:
status: Fix Committed → Fix Released
Changed in unity-place-files:
status: Fix Committed → Fix Released
Changed in unity:
status: Fix Committed → Fix Released
Changed in unity-place-applications:
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libunity - 3.6.8-0ubuntu1

---------------
libunity (3.6.8-0ubuntu1) natty; urgency=low

  * New upstream release.
    - SearchFinished signal for Places API (LP: #739311)
  * debian/libunity3.symbols:
    - add new symbols
 -- Didier Roche <email address hidden> Wed, 23 Mar 2011 17:06:12 +0100

Changed in libunity (Ubuntu):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package unity-place-applications - 0.2.42-0ubuntu1

---------------
unity-place-applications (0.2.42-0ubuntu1) natty; urgency=low

  * New upstream release.
    - Dash search unavoidably returns offensive results (LP: #739469)
    - SearchFinished signal for Places API (LP: #739311)
    - Dash: installed/not installed packages are conflated under "Applications":
      incredibly confusing (LP: #733669)
    - Apps Place: SIGABRT when monkey-typing global searches (LP: #737396)
  * debian/control:
    - bump dep req.
 -- Didier Roche <email address hidden> Wed, 23 Mar 2011 17:06:19 +0100

Changed in unity-place-applications (Ubuntu):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package unity-place-files - 0.5.46-0ubuntu1

---------------
unity-place-files (0.5.46-0ubuntu1) natty; urgency=low

  * New upstream release.
    - adding url launcher support from the search (LP: #739038)
    - SearchFinished signal for Places API (LP: #739311)
    - recent documents do not appear in the dash (LP: #737088)
    - "Search Files & Folders" does not ever find folders, only files
      (LP: #731854)
  * debian/control:
    - bump build-dep req.
 -- Didier Roche <email address hidden> Wed, 23 Mar 2011 17:10:27 +0100

Changed in unity-place-files (Ubuntu):
status: Fix Committed → Fix Released
Adolfo Jayme (fitojb) on 2014-01-11
no longer affects: libunity (Ubuntu Quantal)
Changed in unity (Ubuntu):
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers